%define git     fee1ebe
%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           yajl
Version:        2.1.0
Release:        %mkrel 4
Summary:        Yet Another JSON Library
License:        ISC License
Group:          System/Libraries
Url:            http://lloyd.github.com/yajl/

Source0:        https://github.com/lloyd/%{name}/archive/%{version}.tar.gz
Patch0:	        yajl-fix-CVE-2022-24795.patch
BuildRequires:  doxygen
BuildRequires:  cmake
Requires:       %{libname} = %{version}-%{release}

%description
Yet Another JSON Library. YAJL is a small event-driven (SAX-style) JSON parser
written in ANSI C, and a small validating JSON generator. YAJL is released
under the ISC license.

%package -n	%{libname}
Summary:        Yet Another JSON Library
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n	%{libname}
Yet Another JSON Library. YAJL is a small event-driven (SAX-style) JSON parser
written in ANSI C, and a small validating JSON generator. YAJL is released
under the ISC license.

%package -n	%{devname}
Summary:        Development files for using %{name}
Group:          Development/C

Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} >= %{version}-%{release}

%description -n	%{devname}
Development files for using %{name}.

%prep
%setup -q
%autopatch -p1

%build
# use cmake ditrectly since the upstream configure script
# doesn't work properly on 64bit systems
# and it would only call cmake itself
%cmake

%cmake_build

%install
%cmake_install

%files
%{_bindir}/json_reformat
%{_bindir}/json_verify

%files -n %{libname}
%{_libdir}/libyajl.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libyajl*a
%{_libdir}/libyajl.so
%{_includedir}/yajl/
%{_datadir}/pkgconfig/yajl.pc


%changelog
* Wed Jul 06 2022 papoteur <papoteur> 2.1.0-4.mga8
+ Revision: 1867835
- fix-CVE-2022-24795 (mga#30450)

* Fri Feb 14 2020 daviddavid <daviddavid> 2.1.0-3.mga8
+ Revision: 1519393
- use new make macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.mga7-current
+ Revision: 1302013
- Mageia 7 Mass Rebuild

* Sun Jan 01 2017 luigiwalser <luigiwalser> 2.1.0-1.mga6
+ Revision: 1079364
- 2.1.0

* Sat Feb 06 2016 umeabot <umeabot> 2.0.4-6.mga6
+ Revision: 940043
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.4-5.mga5
+ Revision: 750891
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.4-4.mga5
+ Revision: 690819
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.4-3.mga4
+ Revision: 520841
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.4-2.mga3
+ Revision: 387542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 11 2012 obgr_seneca <obgr_seneca> 2.0.4-1.mga2
+ Revision: 194930
- new version 2.0.4

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 2.0.2-1.mga2
+ Revision: 171874
-new version 2.0.2

* Sun Sep 11 2011 obgr_seneca <obgr_seneca> 2.0.1-2.mga2
+ Revision: 142467
- fixed Provides of devel package

* Sun Sep 11 2011 obgr_seneca <obgr_seneca> 2.0.1-1.mga2
+ Revision: 142458
- add cmake to BuildRequires
- changed release to 1, this is a stable release upstream
- imported package yajl

